## libktorrent 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

cmake_policy(SET CMP0057 NEW)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


set(Boost_MIN_VERSION "1.71.0")
set(LibGMP_MIN_VERSION "6.0.0")
set(LibGcrypt_MIN_VERSION "1.4.5")
set(OpenSSL_MIN_VERSION "3.0.0")
set(KF_MIN_VERSION "5.240.0")
set(QT_MIN_VERSION "6.5.0")

set (SOVERSION 6)

project(LIBKTORRENT VERSION ${RELEASE_SERVICE_VERSION})

# set some default settings
enable_testing()

set(CRYPTO_BACKENDS "Auto" "OpenSSL" "LibGcrypt")
set(USE_CRYPTO_BACKEND "Auto" CACHE STRING "Cryptography backend to use in libktorrent")
set_property(CACHE USE_CRYPTO_BACKEND PROPERTY STRINGS ${CRYPTO_BACKENDS})
if (NOT USE_CRYPTO_BACKEND IN_LIST CRYPTO_BACKENDS)
    message(FATAL_ERROR "USE_CRYPTO_BACKEND must be one of: ${CRYPTO_BACKENDS}")
endif()

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS

include(KDEInstallDirs)
include(KDECMakeSettings)
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakePackageConfigHelpers)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "5.240.0")
ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX LIBKTORRENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTorrent6ConfigVersion.cmake"
                        SOVERSION "${SOVERSION}")

find_package(Qt6 "${QT_MIN_VERSION}" CONFIG REQUIRED COMPONENTS
    Core
    Network
    Xml
    Test
)

# Load the frameworks we need
find_package(KF6 "${KF_MIN_VERSION}" REQUIRED COMPONENTS
    Archive
    Crash
    I18n
    KIO
    Solid
)

find_package(Boost "${Boost_MIN_VERSION}" NO_MODULE REQUIRED)
find_package(LibGMP "${LibGMP_MIN_VERSION}" REQUIRED)

if (USE_CRYPTO_BACKEND STREQUAL "Auto" OR USE_CRYPTO_BACKEND STREQUAL "OpenSSL")
    find_package(OpenSSL "${OpenSSL_MIN_VERSION}")
endif()
if (NOT OPENSSL_FOUND AND (USE_CRYPTO_BACKEND STREQUAL "Auto" OR USE_CRYPTO_BACKEND STREQUAL "LibGcrypt"))
    find_package(LibGcrypt "${LibGcrypt_MIN_VERSION}")
endif()
if (OPENSSL_FOUND)
    set(USE_OPENSSL 1)
    set(USE_LIBGCRYPT 0)
elseif (LibGcrypt_FOUND)
    set(USE_LIBGCRYPT 1)
    set(USE_OPENSSL 0)
else()
    message(FATAL_ERROR "No cryptography library found, USE_CRYPTO_BACKEND is ${USE_CRYPTO_BACKEND}")
endif()

kde_enable_exceptions()
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
add_definitions(-DTRANSLATION_DOMAIN="libktorrent6")

option(WITH_XFS "Support for XFS specific disk preallocation" ON)
if(WITH_XFS)
    #XFS prealloc
    check_include_files(xfs/xfs.h HAVE_XFS_XFS_H)
    if(HAVE_XFS_XFS_H)
        set(CMAKE_EXTRA_INCLUDE_FILES xfs/xfs.h)
        check_type_size(__u64 HAVE___U64)
        check_type_size(__s64 HAVE___S64)
        set(CMAKE_EXTRA_INCLUDE_FILES)
        message(STATUS "xfsprogs found, building with XFS specific disk preallocation support")
    else()
        message(STATUS "xfsprogs NOT found, XFS specific disk preallocation unavailable")
    endif()
endif()

# check for 64 bit file I/O functions
check_function_exists(fopen64 HAVE_FOPEN64)
check_function_exists(fseeko64 HAVE_FSEEKO64)
check_function_exists(fseeko HAVE_FSEEKO)
check_function_exists(ftello64 HAVE_FTELLO64)
check_function_exists(ftello HAVE_FTELLO)
check_function_exists(fstat64 HAVE_FSTAT64)
check_function_exists(stat64 HAVE_STAT64)
check_function_exists(ftruncate64 HAVE_FTRUNCATE64)
check_function_exists(lseek64 HAVE_LSEEK64)
check_function_exists(mmap64 HAVE_MMAP64)
check_function_exists(munmap64 HAVE_MUNMAP64)
check_function_exists(posix_fallocate64 HAVE_POSIX_FALLOCATE64)
check_function_exists(posix_fallocate HAVE_POSIX_FALLOCATE)
check_function_exists(fallocate HAVE_FALLOCATE)
check_function_exists(statvfs HAVE_STATVFS)
check_function_exists(statvfs64 HAVE_STATVFS64)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(testlib)
endif()
add_subdirectory(examples)
add_subdirectory(doc)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KTorrent6")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KTorrent6Config.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KTorrent6Config.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS KDE_INSTALL_INCLUDEDIR
                              )

# Install the CMake modules needed to use libktorrent
add_subdirectory(cmake)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KTorrent6Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KTorrent6ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KTorrent6Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KTorrent6Targets.cmake)

ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktorrent.h.cmake ${CMAKE_BINARY_DIR}/config-ktorrent.h)

remove_definitions(-DQT_NO_HTTP)

add_library(KTorrent6)
set_target_properties(KTorrent6 PROPERTIES
    VERSION     ${RELEASE_SERVICE_VERSION}
    SOVERSION   ${SOVERSION}
    EXPORT_NAME KTorrent6
)

target_sources(KTorrent6 PRIVATE
    util/bitset.cpp
    util/timer.cpp
    util/urlencoder.cpp
    util/sha1hashgen.cpp
    util/sha1hash.cpp
    util/functions.cpp
    util/ptrmap.cpp
    util/array.cpp
    util/error.cpp
    util/file.cpp
    util/fileops.cpp
    util/log.cpp
    util/waitjob.cpp
    util/autorotatelogjob.cpp
    util/compressfilejob.cpp
    util/decompressfilejob.cpp
    util/extractfilejob.cpp
    util/logsystemmanager.cpp
    util/pipe.cpp
    util/circularbuffer.cpp
    util/resourcemanager.cpp
    util/bufferpool.cpp

    bcodec/bdecoder.cpp
    bcodec/bencoder.cpp
    bcodec/bnode.cpp
    bcodec/value.cpp

    net/address.cpp
    net/packetsocket.cpp
    net/portlist.cpp
    net/socket.cpp
    net/socketmonitor.cpp
    net/speed.cpp
    net/uploadthread.cpp
    net/downloadthread.cpp
    net/networkthread.cpp
    net/socketgroup.cpp
    net/socks.cpp
    net/wakeuppipe.cpp
    net/reverseresolver.cpp
    net/socketdevice.cpp
    net/poll.cpp
    net/serversocket.cpp
    net/addressresolver.cpp
    net/trafficshapedsocket.cpp
    net/streamsocket.cpp

    mse/bigint.cpp
    mse/functions.cpp
    mse/rc4encryptor.cpp
    mse/encryptedpacketsocket.cpp
    mse/encryptedauthenticate.cpp
    mse/encryptedserverauthenticate.cpp

    peer/authenticatebase.cpp
    peer/authenticate.cpp
    peer/serverauthenticate.cpp
    peer/authenticationmonitor.cpp
    peer/chunkcounter.cpp
    peer/peerid.cpp
    peer/peer.cpp
    peer/peermanager.cpp
    peer/peerdownloader.cpp
    peer/peeruploader.cpp
    peer/packetreader.cpp
    peer/peerprotocolextension.cpp
    peer/utpex.cpp
    peer/utmetadata.cpp
    peer/accessmanager.cpp
    peer/badpeerslist.cpp
    peer/peerconnector.cpp
    peer/superseeder.cpp
    peer/connectionlimit.cpp

    #download/piece.cpp all the code is inlined
    #download/request.cpp all the code is inlined
    download/packet.cpp
    download/webseed.cpp
    download/chunkdownload.cpp
    download/chunkselector.cpp
    download/downloader.cpp
    download/httpconnection.cpp
    download/httpresponseheader.cpp
    download/streamingchunkselector.cpp

    interfaces/piecedownloader.cpp
    interfaces/peerinterface.cpp
    interfaces/peersource.cpp
    interfaces/torrentinterface.cpp
    interfaces/torrentfileinterface.cpp
    interfaces/trackerslist.cpp
    interfaces/logmonitorinterface.cpp
    interfaces/blocklistinterface.cpp
    interfaces/exitoperation.cpp
    interfaces/chunkdownloadinterface.cpp
    interfaces/monitorinterface.cpp
    interfaces/queuemanagerinterface.cpp
    interfaces/chunkselectorinterface.cpp
    interfaces/cachefactory.cpp
    interfaces/webseedinterface.cpp
    interfaces/trackerinterface.cpp
    interfaces/serverinterface.cpp

    torrent/globals.cpp
    torrent/server.cpp
    torrent/torrent.cpp
    torrent/torrentfile.cpp
    torrent/peersourcemanager.cpp
    torrent/uploader.cpp
    torrent/timeestimator.cpp
    torrent/statsfile.cpp
    torrent/choker.cpp
    torrent/advancedchokealgorithm.cpp
    torrent/torrentcontrol.cpp
    torrent/torrentcreator.cpp
    torrent/torrentstats.cpp
    torrent/jobqueue.cpp
    torrent/job.cpp
    torrent/torrentfilestream.cpp

    dht/announcetask.cpp
    dht/dht.cpp
    dht/kclosestnodessearch.cpp
    dht/nodelookup.cpp
    dht/rpcmsg.cpp
    dht/rpcmsgfactory.cpp
    dht/taskmanager.cpp
    dht/database.cpp
    dht/dhtpeersource.cpp
    dht/key.cpp
    dht/pack.cpp
    dht/rpcserver.cpp
    dht/rpcserverinterface.cpp
    dht/dhtbase.cpp
    dht/kbucket.cpp
    dht/kbucketentry.cpp
    dht/kbuckettable.cpp
    dht/node.cpp
    dht/rpccall.cpp
    dht/task.cpp
    dht/packednodecontainer.cpp
    dht/errmsg.cpp
    dht/pingreq.cpp
    dht/findnodereq.cpp
    dht/getpeersreq.cpp
    dht/announcereq.cpp
    dht/pingrsp.cpp
    dht/findnodersp.cpp
    dht/getpeersrsp.cpp
    dht/announcersp.cpp

    diskio/cache.cpp
    diskio/chunk.cpp
    diskio/dndfile.cpp
    diskio/singlefilecache.cpp
    diskio/multifilecache.cpp
    diskio/preallocationthread.cpp
    diskio/preallocationjob.cpp
    diskio/movedatafilesjob.cpp
    diskio/deletedatafilesjob.cpp
    diskio/piecedata.cpp
    diskio/cachefile.cpp
    diskio/chunkmanager.cpp

    tracker/httptracker.cpp
    tracker/tracker.cpp
    tracker/udptracker.cpp
    tracker/udptrackersocket.cpp
    tracker/trackermanager.cpp
    #tracker/httpannouncejob.cpp
    tracker/kioannouncejob.cpp

    datachecker/datachecker.cpp
    datachecker/datacheckerthread.cpp
    datachecker/singledatachecker.cpp
    datachecker/multidatachecker.cpp
    datachecker/datacheckerjob.cpp

    magnet/magnetdownloader.cpp
    magnet/magnetlink.cpp
    magnet/metadatadownload.cpp

    utp/utpserver.cpp
    utp/utpserverthread.cpp
    utp/connection.cpp
    utp/localwindow.cpp
    utp/remotewindow.cpp
    utp/utpsocket.cpp
    utp/timevalue.cpp
    utp/utpprotocol.cpp
    utp/pollpipe.cpp
    utp/delaywindow.cpp
    utp/outputqueue.cpp
    utp/packetbuffer.cpp

    upnp/soap.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/httprequest.cpp

    version.cpp
)

if(NOT WIN32)
# Add signalcatcher.cpp for all builds except WIN32
    target_sources(KTorrent6 PRIVATE util/signalcatcher.cpp)
endif(NOT WIN32)

if(WIN32)
# Compile stuff for windows
    target_sources(KTorrent6 PRIVATE util/win32.cpp)
endif(WIN32)


# ki18n_wrap_ui(KTorrent6 ${libktorrent_UI})
# kconfig_add_kcfg_files(KTorrent6 settings.kcfgc)

generate_export_header(KTorrent6 BASE_NAME ktorrent)

target_link_libraries(KTorrent6
PUBLIC
    KF6::Archive
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Solid
    KF6::I18n
    Qt6::Xml
    Boost::boost
    LibGMP::LibGMP
)

if (USE_OPENSSL)
    target_compile_definitions(KTorrent6 PUBLIC LIBKTORRENT_USE_OPENSSL=1)
    target_link_libraries(KTorrent6 PUBLIC OpenSSL::Crypto)
elseif (USE_LIBGCRYPT)
    target_compile_definitions(KTorrent6 PUBLIC LIBKTORRENT_USE_LIBGCRYPT=1)
    target_link_libraries(KTorrent6 PUBLIC LibGcrypt::LibGcrypt)
endif()

if(WIN32)
target_link_libraries(KTorrent6 PUBLIC ws2_32)
endif(WIN32)
if(HAIKU)
target_link_libraries(KTorrent6 PUBLIC network)
endif(HAIKU)
target_include_directories(KTorrent6 INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent>")
target_include_directories(KTorrent6 PUBLIC "$<BUILD_INTERFACE:;${LIBKTORRENT_BINARY_DIR}>") # for config and export headers


install(TARGETS KTorrent6 EXPORT KTorrent6Targets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

set (interfaces_HDR
    interfaces/peerinterface.h
    interfaces/queuemanagerinterface.h
    interfaces/exitoperation.h
    interfaces/chunkdownloadinterface.h
    interfaces/trackerslist.h
    interfaces/torrentinterface.h
    interfaces/logmonitorinterface.h
    interfaces/piecedownloader.h
    interfaces/monitorinterface.h
    interfaces/blocklistinterface.h
    interfaces/torrentfileinterface.h
    interfaces/peersource.h
    interfaces/chunkselectorinterface.h
    interfaces/cachefactory.h
    interfaces/webseedinterface.h
    interfaces/trackerinterface.h
    interfaces/serverinterface.h
)

set (ktorrent_HDR
    ${CMAKE_CURRENT_BINARY_DIR}/ktorrent_export.h
    ${CMAKE_BINARY_DIR}/libktorrent_version.h
    version.h
)

set (bcodec_HDR
    bcodec/bencoder.h
    bcodec/bnode.h
    bcodec/bdecoder.h
    bcodec/value.h
)

install(FILES ${bcodec_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent/bcodec COMPONENT Devel)
install(FILES ${interfaces_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent/interfaces COMPONENT Devel)
install(FILES ${migrate_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent/migrate COMPONENT Devel)
install(FILES ${ktorrent_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent COMPONENT Devel)

add_subdirectory(torrent)
add_subdirectory(datachecker)
add_subdirectory(download)
add_subdirectory(diskio)
add_subdirectory(peer)
add_subdirectory(net)
add_subdirectory(mse)
add_subdirectory(magnet)
add_subdirectory(util)
add_subdirectory(utp)
add_subdirectory(upnp)
add_subdirectory(tracker)
add_subdirectory(dht)

=== src/download/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set (download_HDR
    chunkdownload.h
    downloader.h
    request.h
    piece.h
    packet.h
    chunkselector.h
    webseed.h
)

install(FILES ${download_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/libktorrent/download COMPONENT Devel)

=== debian/changelog ===
libktorrent (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:14 +0000

## libktorrent 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
libktorrent (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:16:14 +0000

## libktorrent 25.12.0

=== debian/changelog ===
libktorrent (25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:09:55 +0000

libktorrent (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:45 +1000

## libktorrent 25.12.0+p24.04+vunstable+git20251208.2216

=== debian/changelog ===
libktorrent (25.12.0+p24.04+vunstable+git20251208.2216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:16:30 +0000

## libktorrent 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
libktorrent (25.12.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 23:46:21 +0000

libktorrent (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:16 +1000

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-solid-dev,
               libboost-dev,
               libgcrypt20-dev,
               libgmp-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://invent.kde.org/neon/extras/libktorrent.git
Vcs-Browser: https://invent.kde.org/neon/extras/libktorrent
Maintainer: Neon CI <neon@kde.org>

Package: libktorrent6-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5torrent6, libktorrent-l10n
Description: KTorrent library for C++ / Qt 6 / KDE Frameworks
 The KTorrent library is a C++ / Qt 6 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: kf6-karchive-dev,
         kf6-kconfig-dev,
         kf6-kio-dev,
         kf6-solid-dev,
         libboost-dev,
         libgcrypt20-dev,
         libgmp-dev,
         libktorrent6-6 (= ${binary:Version}),
         qt6-5compat-dev,
         qt6-base-dev,
         ${misc:Depends}
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 6 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libkf5torrent6
Architecture: all
Depends: libktorrent6-6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libktorrent-l10n
Architecture: all
Depends: libktorrent6-6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## libktorrent 25.12.1+p24.04+vstable+git20260107.0212

=== debian/changelog ===
libktorrent (25.12.1+p24.04+vstable+git20260107.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:12:42 +0000

## libktorrent 25.12.1+p24.04+vstable+git20260113.0449

=== debian/changelog ===
libktorrent (25.12.1+p24.04+vstable+git20260113.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:49:54 +0000

## libktorrent 25.12.1+p24.04+vstable+git20260129.0122

=== debian/changelog ===
libktorrent (25.12.1+p24.04+vstable+git20260129.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:22:39 +0000

## libktorrent 25.12.1+p24.04+vunstable+git20260202.1116

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 
 cmake_policy(SET CMP0057 NEW)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
@@ -53,7 +53,7 @@
 include(KDEGitCommitHooks)
 include(CMakePackageConfigHelpers)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(QT_REQUIRED_VERSION "6.5.0")
 set(KF_MIN_VERSION "5.240.0")

=== debian/changelog ===
libktorrent (25.12.1+p24.04+vunstable+git20260202.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 11:16:39 +0000

## libktorrent 25.12.2

=== debian/changelog ===
libktorrent (25.12.2-0.1mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Feb 2026 07:30:26 -0800

libktorrent (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:24 +0000

libktorrent (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:45:35 +0000

libktorrent (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:17:00 +0000

libktorrent (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:36:14 +0000

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libboost-dev (>= 1.71.0~),
               libgcrypt20-dev (>= 1.4.5~),
               libgmp-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent

Package: libktorrent6-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libktorrent-l10n (>= ${source:Version})
Description: KTorrent library for C++ / Qt 6 / KDE Frameworks
 The KTorrent library is a C++ / Qt 6 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libboost-dev (>= 1.71.0~),
         libgcrypt20-dev (>= 1.4.5~),
         libgmp-dev,
         libktorrent6-6 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:libkf6archive-dev},
         ${sameVersionDep:libkf6config-dev},
         ${sameVersionDep:libkf6coreaddons-dev},
         ${sameVersionDep:libkf6i18n-dev},
         ${sameVersionDep:libkf6kio-dev},
         ${sameVersionDep:qt6-base-dev}
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 6 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 6 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

execute_after_dh_shlibdeps:
	dh_sameversiondep

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## libktorrent 25.12.2+p24.04+vstable+git20260206.0812

=== debian/changelog ===
libktorrent (25.12.2+p24.04+vstable+git20260206.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 08:12:49 +0000

libktorrent (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:38:52 +0000

## libktorrent 25.12.2+p24.04+vstable+git20260214.1221

=== debian/changelog ===
libktorrent (25.12.2+p24.04+vstable+git20260214.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 12:21:29 +0000
